/******************************************************************************
*******************************************************************************
*******************************************************************************
							Article Coding Project
							1980-2008
							Most Used & Most Central
							Figures 1 & 2
*******************************************************************************
*******************************************************************************
*******************************************************************************
******************************************************************************/

/****Calling and Cleaning the Data*****/

clear
cd "C:\Users\Joshua\Dropbox\Work\ANES Coding Project\Data and Do Files" /***this must be updated for your computer***/
do "1980-2008 Initial Cleaning.do"

		
/*
To create the figures we want, we will reshape the data so that each row is
an article/concept pairing. We will then use the collapse function to 
create a new datset that that just focuses on the raw data that we want. 

To do this we will need to rename the concepts
and issues in a similar manner so that we can combine them. 
[If we wanted to treat them separately, we could skip this step.]
We will do this both for the appears/does not appear item and the
centra/not central item. 
*/

	/***Concepts****/
	
forval i = 1/48 {
	rename Q3_`i' topic`i'
	}

forval i = 1/48 {
	rename Q4_1_x`i' central`i'
	}
	
	
	
	/***Issues***/
/*topic*/
	/*jobs & sol*/
	rename Q7_1_1 topic49
	rename Q7_1_2 topic50
	rename Q7_1_3 topic51
	/*blacks*/
	rename Q7_2_1 topic52
	rename Q7_2_2 topic53
	rename Q7_2_3 topic54
	/*affirmative action*/
	rename Q7_3_1 topic55
	rename Q7_3_2 topic56
	rename Q7_3_3 topic57
	/*defense spending*/
	rename Q7_4_1 topic58
	rename Q7_4_2 topic59
	rename Q7_4_3 topic60
	/*women*/
	rename Q7_5_1 topic61
	rename Q7_5_2 topic62
	rename Q7_5_3 topic63
	/*abortion*/
	rename Q7_6_1 topic64
	 rename Q7_6_2 topic65
	 rename Q7_6_3 topic66
	/*death penalty*/
	 rename Q7_7_1 topic67
	 rename Q7_7_2 topic68
	 rename Q7_7_3 topic69
	/*gay*/
	 rename Q7_8_1 topic70
	 rename Q7_8_2 topic71
	 rename Q7_8_3 topic72
	/*environment*/
	rename Q7_9_1 topic73
	rename Q7_9_2 topic74
	rename Q7_9_3 topic75
	/*services*/
	rename Q7_10_1 topic76
	rename Q7_10_2 topic77
	rename Q7_10_3 topic78
	/*internationalism*/
	rename Q7_11_1 topic79
	rename Q7_11_2 topic80 
	rename Q7_11_3 topic81
	
	 
/*Centrality*/ 

/*jobs*/
rename Q8_1_x1 central49
rename Q8_1_x2 central50
rename Q8_1_x3 central51

/*blacks*/
rename Q10_1_x1 central52
rename Q10_1_x2 central53
rename Q10_1_x3 central54
/*affirm action*/
rename Q12_1_x1 central55
rename Q12_1_x2 central56
rename Q12_1_x3 central57
/*defense*/
rename Q14_1_x1 central58
rename Q14_1_x2 central59
rename Q14_1_x3 central60
/*women*/
rename Q16_1_x1 central61
rename Q16_1_x2 central62
rename Q16_1_x3 central63
/*abortion*/
rename Q18_1_x1 central64
 rename Q18_1_x2 central65
 rename Q18_1_x3 central66
 /*death penalty*/
 rename Q20_1_x1 central67
 rename Q20_1_x2 central68
 rename Q20_1_x3 central69
 /*gay & lesbian*/
 rename Q22_1_x1 central70
 rename Q22_1_x2 central71
 rename Q22_1_x3 central72
 /*environment*/
 rename Q24_1_x1 central73
 rename Q24_1_x2 central74
 rename Q24_1_x3 central75
 /*spending*/
 rename Q26_1_x1 central76
 rename Q26_1_x2 central77
 rename Q26_1_x3 central78
 /*internationalism*/
 rename Q28_1_x1 central79
 rename Q28_1_x2 central80 
 rename Q28_1_x3 central81

	

	/***Rehsaping****/

gen id = _n
	
reshape long topic central, i(id) j(top)
order topic central, after(top)


recode topic (0=.)
recode central (2 3=.) /***3???***/
	/*this makes the 'not central' missing data, which is 
	necessary for the 'count' code below*/

label def present 1 "Present" , replace
label def centr 1 "Central" , replace

label values topic present
label values central centr

tab1 topic central	

	
	
	
/***Topic Codes**/
label def topic_code ///
 1 "Difference btw Parties" 2 "Feel About Parties" 3 "PID" ///
 4 "Party Perf.: Economy" 5 "Party Perf: Foreign Affairs" /// 
 6 "Feelings abt President" 7 "Feelings abt Pres Candidates" ///
 8 "Feelings abt Congressional Candidates" 9 "Emotions abt Pres" 10 "Emotions abt Pres Cand" ///
 11 "Likes/Dislikes abt Pres Candidates" 12 "President's Traits" 13 "Presidential Candidate's Traits" ///
 14 "Approval President Job Performance" 15 "Approval President Performance Economy" ///
 16 "Approval President Performance Foreign Policy" 17 "Approval Congress Job Performance" ///
 18 "Approval of Congressional Rep's Job Performance" ///
 19 "Economic Performance" 20 "Personal Economic Situation" 21 "Position of Country in World Affairs" ///
 22 "Political Interest" 23 "Political Knowledge" 24 "Campaign Activity" ///
 25 "Campaing Contact" 26 "Vote Choice" 27 "Turnout in Nat'l  Elections" 28 "Registration" ///
 29 "Lib/Con Values" 30 "Religious Values/Beliefs" ///
 31 "Religious Identity" 32 "Moral Traditionalism" ///
 33 "Equalitarianism" 34 "Trust in Gov't" 35 "Political Efficacy" ///
 36 "TV News Consumption" 37 "Internet News Consumption" 38 "Newspaper Consumption" ///
 39 "Radio News  Consumption" 40 "Feelings abt Social Groups" ///
 41 "Attitudes abt Blacks" 42 "Stereotypes" 43 "Racial Identity" 44 "Ethnic Identity" ///
 45 "Social Class" 46 "Personality" 47 "Problems facing Country" 48 "Att. abt Divided Gov't" ///
 49 "Jobs: Own Attitude" 50 "Jobs: Candidate" 51 "Jobs: Parties" 52 "Aid Blacks: Own Attitude" 53 "Aid Blacks: Candidate" 54 "Aid Blacks: Parties" ///
 55 "Affirmative Action:Own " 56 "Affirmative Action: Candidates" 57 "Affirmative Action: Parties" ///
 58 "Defense Spending: Own Attitude" 59 "Defense Spending: Candidates" 60 "Defense Spending: Parties" ///
 61 "Women Equality: Own Attitude" 62 "Women Equality: Candidates" 63 "Women Equality: Parties" ///
 64 "Abortion: Own Atttiude" 65  "Abortion: Candidates" 66 "Abortion: Parties" ///
 67 "Death Penalty: Own Attitude" 68 "Death Penalty: Candidates" 69 "Death Penalty: Parties" ///
 70 "Gay & Lesbian: Own Attitudes" 71 "Gay & Lesbian: Candidates" 72 "Gay & Lesbian: Parties" ///
 73 "Environment: Own Attitude" 74 "Environment: Candidates" 75 "Environment: Parties" ///
 76 "Spending: Own Attitude" 77 "Spending: Candidates" 78 "Spending: Parties" ///
 79 "Internationalism: Own Attitude" 80 "Internationalism: Candidates" 81 "Internationalism: Parties"
	
 
label values top topic_code


/*********************************Creating Dataset for the Item Counts********************/
	
collapse (count) topic central, by(top)
list

gen id = _n
label var id "ID"

summ topic, detail


save "Most Used and Central - 1980 to 2008.dta", replace

/***********Figure 1****************/
/*
left hand sub-graph: 
most used, distribution
*/

gsort -topic
gen rank_topic = _n
labe var rank_topic "Rank"

scatter topic rank_topic, scheme(s1mono) ///
	title("Distribution of Concept & Policy Use", size(medium)) ///
	ytitle("#Times Coded as Present in Article") xtitle("Rank")


graph save "present - distribution", replace
 
/*
right hand graph: dot plot
*/
 
graph dot topic if rank_topic >=1 & rank_topic <=14, ///
	over(rank_topic, ///
		relabel(1 "Party ID" 2 "Racial ID" 3 "Liberal/Conservative Values" 4 "Vote Choice" ///
			5 "Turnout in National Elections" 6 "Political Interest" 7 "Political Knowledge" ///
			8 "Economic Performance" 9 "Attitude: Services & Spending" 10 "Religious Identity" ///
			11 "Attitude: Jobs & Standad of Living" 12 "Presidential Job Approval" ///
			13 "Personal Economic Situation" 14 "Attitude: Aid to Blacks") label(labsize(small))) ///
	scheme(s1mono) title("Most Used", size(medium))   ytitle("# Times Present (Max=1163)", size(small))
	
graph save "present - most used", replace

/*combining*/
	
graph combine "present - distribution" "present - most used", scheme(s1mono) xsize(6.5)

	graph save "Figure 1", replace
	graph export "Figure 1.png", replace
	graph export "Figure 1.tiff", replace
	 
 
/*********Figure 2: Concept & Policy Centrality******/

/*
left hand sub-graph = 15 most central given use
*/

gen prop_central_use = central/topic
	/*one case is dropped because it is a 0/0 situation*/
label var prop_central_use "Centrality Given Use"

gsort -prop_central_use
	
gen rank_central_use = _n
label var rank_central_use "Rank: Centrality Given Use"

graph dot prop_central_use if rank_central_use >=1 & rank_central_use <=15, ///
	over(rank_central_use, ///
		relabel(1 "Parties: Gay/Lesbian Issues (1)" ///
		2 "Parties: Abortion (10)" 3 "Attitudes abt Divided Gov't (3)" ///
		4 "Candidate: Affirmative Action (8)" 5 "Stereotypes (29)" ///
		6 "Vote Choice (300)" 7 "Parties: Affirmative Action (6)" ///
		8 "Voter Turnout (175)" 9 "Internet News Consumption (5)" ///		
		10 "Emotions abt Pres Cand (5)" ///
		11 "Emotions abt Pres (4)" ///
		12 "Parties: Defense Spending (4)" ///
		13 "Candidate: Women Equality (19)" ///
		14 "Parties: Services and Spending (11)" ///
		15 "Parties: Women Equality (11)") label(labsize(small))) ///
	scheme(s1mono) title("Centrality Given Use", size(medium)) ///
	ytitle("Proportion:Central", size(small))
		
graph save "centrality given use", replace

/*
right hand sub-graph: 15 most central overall
*/

gen prop_central_all = central/1163
label var prop_central_all "Overall Centrality"

gsort -prop_central_all

gen rank_central_all = _n
label var prop_central_all "Overall Centrality"

list top rank_central_use central prop_central_all rank_central_all
 
 graph dot prop_central_all if rank_central_all >=1 & rank_central_all <=15, ///
	over(rank_central_all, ///
		relabel(1 "Vote Choice (300)" 2 "Party ID (242)" 3 "Voter Turnout (175)" ///
		4 "Liberal/Conservative Values (147)" 5 "Racial Identity (120)" ///
		6 "Political Knowledge (101)" 7 "Attitude: Services & Spending (100)" ///
		8 "Attitude: Jobs & Standard of Living (91)" 9 "Economic Performance (86)" ///
		10 "Political Interest (81)" 11 "Attitude: Aid to Blacks (72)" ///
		12 "Personal Economic Situation (69)" 13 "Presidential Job Approval (68)" ///
		14 "Feelings abt Social Groups (66)" 15 "Campaign Activity (61)") label(labsize(small))) ///
	scheme(s1mono) title("Overall Centrality", size(medium)) ytitle("Proportion Central; All Possible Articles", size(small))
	
		
graph save "overall centrality", replace

graph combine "centrality given use" "overall centrality", scheme(s1mono) xsize(6)
 
graph save "Figure 2", replace
graph export "Figure 2.png", replace
 
 
 